"use strict";
/**
 * Copyright 2022 Synchronous Technologies Pte Ltd
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.login = exports.checkAuth = void 0;
const fs_1 = __importDefault(require("fs"));
const chalk_1 = __importDefault(require("chalk"));
// TODO: Handle windows path
const checkAuth = () => __awaiter(void 0, void 0, void 0, function* () {
    let authenticated = false;
    let user = null;
    console.log(chalk_1.default.green("Checking authentication..."));
    // Check env var
    if (process.env.ZEFHUB_AUTH_KEY) {
        user = {
            apiKey: process.env.ZEFHUB_AUTH_KEY,
        };
        authenticated = true;
    }
    // Check: ~/.zef/zefhub.key
    if (fs_1.default.existsSync("~/.zef/zefhub.key")) {
        // TODO: Check if key is valid
    }
    if (fs_1.default.existsSync("~/.zef/hub.zefhub.io/credentials")) {
        const credentials = yield fs_1.default.readFileSync("~/.zef/hub.zefhub.io/credentials");
        if (credentials.toString() === "") {
            throw new Error("Credentials invalid: ~/.zef/hub.zefhub.io/credentials");
        }
        // TODO: Exchange for JWT token
    }
    if (!authenticated) {
        throw new Error(chalk_1.default.red("Not authenticated\nRun: 'zefhub login' to authenticate"));
    }
    console.log(chalk_1.default.green("Authenticated!"));
    return user;
});
exports.checkAuth = checkAuth;
const login = () => __awaiter(void 0, void 0, void 0, function* () { });
exports.login = login;
